proc TraceLibCheck {name element op} {
global Process Obj_WinLib
	set numlib [ lindex [split $element ","] 2]
#	puts "TraceLibCheck $numlib : $Process(lib,checking,$numlib)"
        if [info exists Obj_WinLib($numlib,wstatus)] {
		show-status "$Process(lib,checking,$numlib) ..." $Obj_WinLib($numlib,wstatus)
	}
	WinLib_UpdateWinTextChk $numlib
}
proc TraceLibCompil {name element op} {
global Process Obj_WinLib

	set numlib [ lindex [split $element ","] 2]

	switch -glob -- $Process(lib,compiling,$numlib) {
 		  {*off*}	{PRINT "Compilation is Off"}
		  {*running*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state disabled
				$Obj_WinLib($numlib,wbutself) configure -state disabled
				$Obj_WinLib($numlib,wbutquit) configure -state disabled
				}
		  {*kill*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutself) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Update the File Error Container
				WinLib_UpdateWinText $numlib
				# Update the Checking Container
				WinLib_UpdateWinTextChk $numlib
				# Update the List Files Container
				WinLib_ShowFiles_update $numlib
				# Stop the trace
        			trace vdelete Process(lib,compiling,$numlib) w TraceLibCompil
				}
		  {*done*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutself) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Update the Archive ?
				MakeArchive $numlib
				# Update the File Error Container
				WinLib_UpdateWinText $numlib
				# Update the Checking Container
				WinLib_UpdateWinTextChk $numlib
				# Update the List Files Container
				WinLib_ShowFiles_update $numlib
				# Stop the trace
        			trace vdelete Process(lib,compiling,$numlib) w TraceLibCompil
				}
		  default	{
				PRINT "*** TkfPW WARNING : Compilation Status Unknown !!!"
				PRINT "*** $Process(lib,compiling,$numlib)"
				}
	}

}
proc TraceLibSelCompOpt {name element op} {
global Process Obj_WinLib

	set numlib [ lindex [split $element ","] 2]

	switch -glob -- $Process(lib,selectopts,$numlib) {
		  {*off*}	{PRINT "Selection of Compiler Options is Off"}
		  {*running*}	{
				$Obj_WinLib($numlib,wbutcomp) configure -state disabled
				$Obj_WinLib($numlib,wbutself) configure -state disabled
				$Obj_WinLib($numlib,wbutquit) configure -state disabled
				}
		  {*done*}	{
				$Obj_WinLib($numlib,wbutcomp) configure -state normal
				$Obj_WinLib($numlib,wbutself) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Stop the trace
        			trace vdelete Process(lib,selectopts,$numlib) w TraceLibSelCompOpt
				}
		  default	{
				PRINT "*** TkfPW WARNING : Selection of Compiler Options Status Unknown !!!"
				PRINT "*** $Process(lib,selectopts,$numlib)"
				}
	}

}
proc TraceLibListSelect {name element op} {
global Process Obj_WinLib Obj_Lib

	set numlib [ lindex [split $element ","] 2]

	switch -glob -- $Process(lib,selectfiles,$numlib,status) {
		  {*off*}	{PRINT "Selection Off"}
		  {*running*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state disabled
				$Obj_WinLib($numlib,wbutcomp) configure -state disabled
				$Obj_WinLib($numlib,wbutquit) configure -state disabled
				}
		  {*done*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutcomp) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Get the selected files
				set Obj_Lib($numlib,list_recf_select) $Process(lib,selectfiles,$numlib,value)
				# Stop the trace
        			trace vdelete Process(lib,selectfiles,$numlib,status) w TraceLibListSelect
				}
		  {*cancel*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutcomp) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Stop the trace
        			trace vdelete Process(lib,selectfiles,$numlib,status) w TraceLibListSelect
				}
		  default	{
				PRINT "*** TkfPW WARNING : Selection Status Unknown !!!"
				PRINT "*** $Process(lib,selectfiles,$numlib,status)"
				}
	}

}
proc TraceLibarListSelect {name element op} {
global Process Obj_WinLib Obj_Lib

	set numlib [ lindex [split $element ","] 2]

	switch -glob -- $Process(libar,selectfiles,$numlib,status) {
		  {*off*}	{PRINT "Selection Off"}
		  {*running*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state disabled
				$Obj_WinLib($numlib,wbutcomp) configure -state disabled
				$Obj_WinLib($numlib,wbutquit) configure -state disabled
				}
		  {*done*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutcomp) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Delete the selected modules from the Archive
				WinLib_DeleteArMembers $numlib
				# Stop the trace
        			trace vdelete Process(libar,selectfiles,$numlib,status) w TraceLibarListSelect
				}
		  {*cancel*}	{
				$Obj_WinLib($numlib,wbutselo) configure -state normal
				$Obj_WinLib($numlib,wbutcomp) configure -state normal
				$Obj_WinLib($numlib,wbutquit) configure -state normal
				# Stop the trace
        			trace vdelete Process(libar,selectfiles,$numlib,status) w TraceLibarListSelect
				}
		  default	{
				PRINT "*** TkfPW WARNING : Selection Status Unknown !!!"
				PRINT "*** $Process(libar,selectfiles,$numlib,status)"
				}
	}

}
